<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Administration - Articles/New"></app-top-bar>
  <div class="main-div">
    <mat-card class="m-10 mat-elevation-z4 ">
      <mat-card-header>
        <mat-card-title>Formulaire - Ajouter un article</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <form class="example-form" (ngSubmit)="!articleForm.invalid && save()" #articleForm="ngForm">
          <mat-form-field class="example-full-width">
            <mat-label>Code Article</mat-label>
            <input name="codeArticle" type="number" matInput
                   placeholder="Ex. 6967837" [(ngModel)]="newArticle.codeArticle" required>
          </mat-form-field>
          <mat-form-field class="example-full-width">
            <mat-label>Part Number</mat-label>
            <input name="partNumber" min="3" minlength="3" [minlength]="3" matInput
                   placeholder="Ex. 86111-D7130" [(ngModel)]="newArticle.partNumber" required>
          </mat-form-field>
          <mat-form-field class="example-full-width">
            <mat-label>Description SAP</mat-label>
            <input name="descriptionSAP" min="3" minlength="3" [minlength]="3" matInput
                   placeholder="Ex. PB X BM E6- 4P IRG F DVT DPB VIN" [(ngModel)]="newArticle.descriptionSAP" required>
          </mat-form-field>
          <mat-form-field appearance="fill" class="select-form">
            <mat-label>Modèle de l'article</mat-label>
            <mat-select name="fk_model" [(ngModel)]="newArticle.fk_model" required>
              <mat-option *ngFor="let modele of modeleList" [value]="modele.modeleId">
                {{modele.modele}}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="newArticle.fk_model === null">Une valeur est requise</mat-error>
          </mat-form-field>
          <button type="submit" [disabled]="!articleForm.valid" mat-flat-button color="primary">Ajouter</button>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>

